
Figure - Bug #118658
IOVDEV-33437【内部】【VC1】【0106】【台架】【EE环境】【副屏】乐播投屏时副屏熄屏后自动亮屏
2023-06-08 16:07 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-08

Priority: High Due date:

Assignee: 物联网项目组-RD3_CDTS 周飞 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境， 投屏设备：荣耀pad 7

【问题出现时间】：20230608  11点44分（第277次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音）

1.荣耀pad 7无线投屏 到副屏的乐播投屏界面，播放音乐

2.副屏向下滑动出控制中心，点击控制中心的熄屏

【实际结果】

副屏熄屏后立即亮屏，显示乐播投屏未连接界面

【期望结果】

没有用户主动退出熄屏行为情况下，副屏依然是熄屏状态

【备注】：

车架号VIN：HRYTTESTVINMGM400，可从云端获取日志

【影响版本】：副屏：01.00.0106.c104，中控：03.02.0088.c103

【硬件版本号】：/

【是否能恢复】：

Related issues:

Related to Figure - Bug # 118660: IOVDEV-33432【内部】【VC1】【0... CLOSED 2023-06-08

History

#1 - 2023-06-08 17:25 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD FW-廖涛

#2 - 2023-06-08 17:25 - CD FW-程天颖

- Status changed from New to ASSIGNED

#3 - 2023-06-12 17:24 - CD FW-廖涛

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CD TEST-方永红
■ Current conclusion

从乐播投屏 SDK 的日志看，在手动点击熄屏进入屏保或熄屏状态后，乐播投屏界面退出，乐播投屏服务还在，立刻又收到了投屏请求，所以会向系统申

请点亮屏幕（退出屏保或熄屏模式）。

上面描述的流程和投屏端的应用逻辑有关系，荣耀设备的投屏在退出后，可能有重试机制，所以又发起了一次投屏请求导致，副屏设备被点亮（退出屏

保或熄屏模式）。这个现象在我的荣耀手机上也能复现，但是其他设备（如 vivo 和 iPhone）没有该问题。

结论：

该问题出现的原因是投屏端应用逻辑处理问题，且投屏接收端在收到投屏请求时，向系统申请亮屏符合逻辑，故该问题副屏无需处理。

■ Next action

已在 JIRA 上回复，麻烦确认后关闭该问题。

#4 - 2023-06-17 18:30 - CDTS_TEST 王成

- Assignee changed from CD TEST-方永红 to 物联网项目组-RD3_CDTS 周飞

IOVOS3-11729 已建story

http://jira.human-horizons.com/browse/IOVOS3-11729

#5 - 2023-07-03 17:34 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

客户回复：

IOVOS3-11729 已建story，当前问题建议关闭

此BUG关闭，会以新需求的形式修改

#6 - 2023-07-03 17:34 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#7 - 2023-07-03 17:34 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

1144投屏时进入熄屏，副屏会熄屏后自动亮屏.7z 109 KB 2023-06-08 CD TEST-方永红

11点44分点击副屏控制中心熄屏后，副屏熄屏后会自动亮屏.mp4 4.34 MB 2023-06-08 CD TEST-方永红
http://jira.human-horizons.com/browse/IOVOS3-11729

